GET /preprint_providers/{preprint_provider_id}/
Operation ID: preprint_provider_detail
Auth: unknown
Description
Retrieves the details of a preprint provider. #### Returns Returns a JSON object with a `data` key containing the representation of the requested preprint provider, if the request is successful. If the request is unsuccessful, an `errors` key containing information about the failure will be returned. Refer to the [list of error codes](#tag/Errors-and-Error-Codes) to understand why this request may have failed. #### Acceptable Subjects Structure Each preprint provider specifies acceptable subjects. `subjects_acceptable` is an array found in `attributes`. Subjects consist of general parent subjects (e.g., Engineering), more specific child subjects (e.g., Aerospace Engineering), and even more specific grandchild subjects (e.g., Aerodynamics and Fluid Mechanics). Subjects can only be nested 3 deep. "subjects_acceptable": [ [ [ # Parent Subject: # Architecture "584240d954be81056ceca9e5", # Child Subject: # Architectural Engineering "584240da54be81056cecac87" ], # Include all Architectural Engineering's children: true ], [ [ # Parent Subject: # Engineering "584240da54be81056cecaca9", # Child Subject: # Aerospace Engineering "584240db54be81056cecacd6", # Grandchild Subject: # Aerodynamics and Fluid Mechanics "584240da54be81056cecaa74" ], # All nestings 3 deep must be false false ] ] The above structure would allow Architecture, Architectural Engineering, all of Architectural Engineering's children, Engineering, Aerospace Engineering, and Aerodynamics and Fluid Mechanics.
Parameters (1)
(string, path, required)
The unique identifier of the preprint provider.
No probe data for this endpoint yet.